# Reactor.h File Reference

`#include "ace/Timer_Queuefwd.h"`
`#include "ace/Reactor_Timer_Interface.h"`
`#include "ace/Event_Handler.h"`
`#include "ace/Reactor.inl"`

Include dependency graph for Reactor.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Reactor
| The responsibility of this class is to forward all methods to its delegation/implementation class, e.g., ACE_Select_Reactor or ACE_WFMO_Reactor. More...

## Detailed Description

Id
  Reactor.h,v 4.100 2006/02/10 10:13:10 jwillemsen Exp

Author:
  Irfan Pyarali <irfan@cs.wustl.edu>

  Douglas C. Schmidt <schmidt@cs.wustl.edu>